Package wx :: Class AcceleratorEntry

[frames | no frames]

## Type AcceleratorEntry

    object --+
             |
            AcceleratorEntry

A class used to define items in an `wx.AcceleratorTable`. wxPython programs can choose to use wx.AcceleratorEntry objects, but using a list of 3-tuple of integers (flags, keyCode, cmdID) usually works just as well. See `__init__` for of the tuple values.

See Also:

`wx.AcceleratorTable`

Method Summary
AcceleratorEntry | ``__init__`(self, flags, keyCode, cmdID)`
| `__del__(self)`
AcceleratorEntry | ``Create`(str)` Create accelerator corresponding to the specified string, or None if it coulnd't be parsed. (Static method)
bool | ``FromString`(self, str)` Returns true if the given string correctly initialized this object.
int | ``GetCommand`(self)` Get the AcceleratorEntry's command ID.
int | ``GetFlags`(self)` Get the AcceleratorEntry's flags.
int | ``GetKeyCode`(self)` Get the AcceleratorEntry's keycode.
bool | `IsOk(self)`
| ``Set`(self, flags, keyCode, cmd)` (Re)set the attributes of a wx.AcceleratorEntry.
String | ``ToString`(self)` Returns a string representation for the this accelerator.

Property Summary
| `Command`: See `GetCommand`
| `Flags`: See `GetFlags`
| `KeyCode`: See `GetKeyCode`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, flags=0, keyCode=0, cmdID=0)
(Constructor)

Construct a wx.AcceleratorEntry.

  Parameters:
    `flags` - A bitmask of wx.ACCEL_ALT, wx.ACCEL_SHIFT, wx.ACCEL_CTRL, wx.ACCEL_CMD, or wx.ACCEL_NORMAL used to specify which modifier keys are held down.
    (type=int)

    `keyCode` - The keycode to be detected
    (type=int)

    `cmdID` - The menu or control command ID to use for the accellerator event.
    (type=int)

  Returns:
    AcceleratorEntry
  Overrides:
    `__builtin__.object.__init__`

### FromString(self, str)

Returns true if the given string correctly initialized this object.

  Parameters:
    `str`
    (type=String)

  Returns:
    bool

### GetCommand(self)

Get the AcceleratorEntry's command ID.

  Returns:
    int

### GetFlags(self)

Get the AcceleratorEntry's flags.

  Returns:
    int

### GetKeyCode(self)

Get the AcceleratorEntry's keycode.

  Returns:
    int

### Set(self, flags, keyCode, cmd)

(Re)set the attributes of a wx.AcceleratorEntry. :see `__init__`

  Parameters:
    `flags`
    (type=int)

    `keyCode`
    (type=int)

    `cmd`
    (type=int)

### ToString(self)

Returns a string representation for the this accelerator. The string is formatted using the <flags>-<keycode> format where <flags> maybe a hyphen-separed list of "shift|alt|ctrl"

  Returns:
    String

Static Method Details

### Create(str)

Create accelerator corresponding to the specified string, or None if it coulnd't be parsed.

  Parameters:
    `str`
    (type=String)

  Returns:
    AcceleratorEntry

Property Details

### Command

See `GetCommand`

  Get Method:
    `GetCommand`(self)

### Flags

See `GetFlags`

  Get Method:
    `GetFlags`(self)

### KeyCode

See `GetKeyCode`

  Get Method:
    `GetKeyCode`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:48 2007 | http://epydoc.sf.net